/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function articleItems(
  params,
  options,
) {
  return request('/admin/article/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function articleCreate(
  body,
  options,
) {
  return request('/admin/article/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function articleUpdate(
  body,
  options,
) {
  return request('/admin/article/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function articleDelete(
  body,
  options,
) {
  return request('/admin/article/delete', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}

export async function articleItem(
  params,
  options,
) {
  return request('/admin/article/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}

